## org.apache.poi.hssf.record
Class RecordInputStream.LeftoverDataException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.poi.hssf.record.RecordInputStream.LeftoverDataException

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  RecordInputStream

    public static final class RecordInputStream.LeftoverDataException

extends java.lang.RuntimeException

For use in `BiffViewer` which may construct `Record`s that don't completely read all available data. This exception should never be thrown otherwise.

See Also:
  Serialized Form

Constructor Summary
`RecordInputStream.LeftoverDataException(int sid, int remainingByteCount)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RecordInputStream.LeftoverDataException

    public RecordInputStream.LeftoverDataException(int sid,
                                                   int remainingByteCount)

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.